首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  Java

jedis 2.9.1/2.10.0/3.0.0 请勿使用

  •  
  •   sagaxu · 302 天前 via Android · 2596 次点击
    这是一个创建于 302 天前的主题,其中的信息可能已经有所发展或是发生改变。
    在高并发的环境中,会出现资源泄露,可 100%重现。所以目前能用的最新版还是 2016 年的。

    目前已经修复,跟下个版本 3.0.1 一起发布

    https://github.com/xetorthio/jedis/pull/1918/commits/df1bffa3c77f4ede4c912f2c3e78b5c8857725e7



    btw
    jedis 还有人用吗?都用 lettuce 了?
    3 回复  |  直到 2018-12-19 16:57:13 +08:00
        1
    skypyb   302 天前
    在用这个: spring-boot-starter-data-redis , 后台好像默认为 lettuce 吧
        2
    wccc   302 天前
    spring boot 2 开始 默认为 lettuce 之前默认都是 jedis
        3
    cstj0505   302 天前
    在用,不过不太稳定,有时候连接报错
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   998 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 24ms · UTC 19:33 · PVG 03:33 · LAX 12:33 · JFK 15:33
    ♥ Do have faith in what you're doing.